<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-set.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'ds-set.filter.php',
    1 => 'Ds\\Set::filter',
  ),
  'up' => 
  array (
    0 => 'class.ds-set.php',
    1 => 'Ds\\Set',
  ),
  'prev' => 
  array (
    0 => 'ds-set.diff.php',
    1 => 'Ds\\Set::diff',
  ),
  'next' => 
  array (
    0 => 'ds-set.first.php',
    1 => 'Ds\\Set::first',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/ds/ds/set/filter.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-set.filter" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Set::filter</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Set::filter</span> &mdash; <span class="dc-title">
    Cria um novo conjunto usando um <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> para
    determinar quais valores incluir
  </span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-set.filter-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description"><span class="modifier">public</span> <span class="methodname"><strong>Ds\Set::filter</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="class.ds-set.php" class="type Ds\Set">Ds\Set</a></span></div>

  <p class="para rdfs-comment">
    Cria um novo conjunto usando um <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> para
    determinar quais valores incluir.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-set.filter-parameters">
  <h3 class="title">Parâmetros</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>
    <dd>
        <p class="para">
            <div class="methodsynopsis dc-description">
                <span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$value</code></span>): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

        </p>
        <p class="para">
            <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> opcional que retorna <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> se o valor deve ser incluído, <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> caso contrário.
        </p>
        <p class="para">
            Se um callback não for fornecido, somente os valores que são <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong>
            (veja <a href="language.types.boolean.php#language.types.boolean.casting" class="link">conversão para booleano</a>)
            serão incluídos.
        </p>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-set.filter-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
    Um novo conjunto contendo todos os valores para os quais
    o <code class="parameter">callback</code> retornou <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong>, ou todos os valores que
    convertem para <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> se um <code class="parameter">callback</code> não foi fornecido.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-set.filter-examples">
  <h3 class="title">Exemplos</h3>
  <div class="example" id="example-4395">
   <p><strong>Exemplo #1 Exemplo de <span class="function"><strong>Ds\Set::filter()</strong></span> usando função de callback</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$set </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Set</span><span style="color: #007700">([</span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$set</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">filter</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$value</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$value </span><span style="color: #007700">% </span><span style="color: #0000BB">2 </span><span style="color: #007700">== </span><span style="color: #0000BB">0</span><span style="color: #007700">;<br />}));<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá
algo semelhante a:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">object(Ds\Set)#3 (2) {
  [0]=&gt;
  int(2)
  [1]=&gt;
  int(4)
}</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4396">
   <p><strong>Exemplo #2 Exemplo de <span class="function"><strong>Ds\Set::filter()</strong></span> sem usar função de callback</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$set </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Set</span><span style="color: #007700">([</span><span style="color: #0000BB">0</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #DD0000">'a'</span><span style="color: #007700">, </span><span style="color: #0000BB">true</span><span style="color: #007700">, </span><span style="color: #0000BB">false</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$set</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">filter</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá
algo semelhante a:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">object(Ds\Set)#2 (3) {
  [0]=&gt;
  int(1)
  [1]=&gt;
  string(1) &quot;a&quot;
  [2]=&gt;
  bool(true)
}</pre>
</div>
   </div>
  </div>
 </div>



</div><?php manual_footer($setup); ?>